{-| Module  : FiniteCategories
Description : An example of opposite category.
Copyright   : Guillaume Sabbagh 2021
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of opposite category.
-}
module ExampleOppositeCategory.ExampleOppositeCategory
(
    opSet,
    main
)
where
    import              ExportGraphViz.ExportGraphViz          (catToPdf,genToPdf)
    import              ExampleCat.ExampleCat         (set1)
    import              OppositeCategory.OppositeCategory
    -- | The opposite category of set1.
    opSet = Op set1

    -- | Export all the previously defined categories as pdf with GraphViz.
    main = do 
        putStrLn "Start of ExampleOppositeCategory"
        catToPdf set1 "OutputGraphViz/Examples/OppositeCategory/set1"
        catToPdf opSet "OutputGraphViz/Examples/OppositeCategory/opposite"
        putStrLn "End of ExampleOppositeCategory"
    
        